## org.apache.batik.script.rhino
Class WindowWrapper.FunctionWrapper

    java.lang.Object
      org.apache.batik.script.rhino.WindowWrapper.FunctionWrapper

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  WindowWrapper

protected static class WindowWrapper.FunctionWrapper
extends java.lang.Object
implements java.lang.Runnable

To wrap a function in an handler.

Field Summary
`protected java.lang.Object[]` `arguments` The arguments.
`protected org.mozilla.javascript.Function` `function` The function wrapper.
`protected RhinoInterpreter` `interpreter` The current interpreter.

Constructor Summary
`WindowWrapper.FunctionWrapper(RhinoInterpreter ri, org.mozilla.javascript.Function f, java.lang.Object[] args)` Creates a function wrapper.

Method Summary
`void` `run()` Calls the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interpreter

    protected RhinoInterpreter interpreter

  The current interpreter.

### function

    protected org.mozilla.javascript.Function function

  The function wrapper.

### arguments

    protected java.lang.Object[] arguments

  The arguments.

Constructor Detail

### WindowWrapper.FunctionWrapper

    public WindowWrapper.FunctionWrapper(RhinoInterpreter ri,
                                         org.mozilla.javascript.Function f,
                                         java.lang.Object[] args)

  Creates a function wrapper.

Method Detail

### run

    public void run()

  Calls the function.

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.